package com.example.bywin.cloud.server.example.access;

import com.bywin.cloud.boot.annatation.BywinCloudRest;
import com.bywin.cloud.security.core.context.BywinCloudUserContextHolder;
import com.bywin.cloud.security.core.user.BywinCloudUser;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * @author xie40
 * create time: 2023-08-15 16:32
 */

@Tag(name = "获取当前用户")
@BywinCloudRest("/current-user")
public class UserExampleApi {


    @Operation(summary = "获取当前用户")
    @GetMapping("/me")
    public BywinCloudUser me() {
        return BywinCloudUserContextHolder.getUser();
    }


}
