package com.example.bywin.cloud.server.example.cache;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author xie40
 * create time: 2023-06-12 14:40
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CacheWrapper implements Serializable {

    private String key;

    private Object value;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date expiredDate;

}
