package com.example.bywin.cloud.server.example.desensitize;

import com.example.bywin.cloud.server.example.desensitize.dto.DesensitizeExample;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 数据脱敏
 *
 * @author xie40
 * create time: 2023-08-29 11:24
 */

@Tag(name = "数据响应脱敏")
@RestController
@RequestMapping("/desensitize")
public class DesensitizeExampleController {

    @PostMapping
    @Operation(summary = "数据脱敏正常填点数据")
    public DesensitizeExample desensitize(@RequestBody DesensitizeExample example) {
        return example;
    }

}
