package com.example.bywin.cloud.server.example.modules.usermanager.request;

import com.example.bywin.cloud.server.example.modules.usermanager.tb.ExampleUser;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author xie40
 * create time: 2023-06-29 16:16
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class UpdateUserRequest extends CreateUserRequest {

    @NotNull(message = "用户id不能为空")
    private Long id;

    public void updateTo(ExampleUser user) {
        user.setUsername(getUsername());
        user.setId(getDeptId());
    }


}
