package com.example.bywin.cloud.server.example.valid;

import com.bywin.cloud.boot.annatation.BywinCloudRest;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.validation.Valid;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author 36020
 */
@BywinCloudRest("/valid")
@Tag(name = "参数校验")
public class ValidExampleApi {

    @PostMapping
    @Operation(summary = "参数校验错误请求")
    public String error(@Valid @RequestBody ValidRequest request) {
        return request.getName();
    }


}

