package com.example.bywin.cloud.server.example.valid;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

/**
 * @author 36020
 */
@Data
@Schema(title = "参数校验请求")
public class ValidRequest {

    @NotBlank(message = "名称不能为空")
    @Schema(title = "名称")
    private String name;
}
