# 1.配置hosts

(推荐使用`switchhosts`[https://github.com/oldj/SwitchHosts/releases]工具)方便切换

将项目require/hosts/下的hosts复制到switchhosts，参考如下：

![switchhosts](img/switchhosts.png)

# 2.配置代理转发服务

下载`tabby`[https://tabby.sh/]

新建配置>ssh连接>

`tab通用`：**主机**：dev-pure-low-code-ssh-server，**端口**：32169

`tab端口`：

```
127.0.0.1:8848 > nacos-nlzx.pure-low-code:8848
127.0.0.1:9848 > nacos-nlzx.pure-low-code:9848
127.0.0.1:9849 > nacos-nlzx.pure-low-code:9849
127.0.0.1:6379 > redis-nlzx.pure-low-code:6379
127.0.0.1:3306 > redis-nlzx.pure-low-code:3306
127.0.0.1:9000 > minio-nlzx.pure-low-code:9000
127.0.0.1:2375 > 192.168.100.67:2375
```

保存，并连接ssh，本地访问：http://nacos-nlzx:8848/nacos/ 是否可以正确访问

mysql, redis, minio同理，**如果以上端口根本地端口冲突，请把本地的服务停止！**

![tabby ssh](img/tabby ssh.png)

![ssh](img/ssh.png)

![proxy port](img/proxy port.png)

![nacos](img/nacos.png)


# 3.创建开发环境个人专属命名空间

为了防止本地开发时，服务注册到别人命名空间上，需要各位注册专属命名空间

nacos > 命名空间 > 新建命名空间

![nacosnamespace](img/nacos namespace.png)

![xie40](img/xie40.png)


# 4.启动平台基础服务

先在另外一个项目使用jdk8启动平台基础服务：

http://code.bywin.cn:18181/x40/bywin-cloud3-platform-services-jdk8.git

`svc-system-server` [系统服务]

`svc-auth-server` [认证服务，用于生成token]

`svc-activiti-server` [工作流服务]

...

# 5.本地启动服务
本地启动加入VM参数 : -Dspring.cloud.nacos.discovery.namespace=xie40
并启动example或者template服务

nacos > 服务管理 > 服务列表 > 查看是否注册

![springboot run.png](img/springboot run.png)

![registered.png](img/registered.png)
