package com.example.bywin.cloud.server.example.modules.usermanager.response;

import com.bywin.cloud.entity.impl.id.LongId;
import com.example.bywin.cloud.server.example.modules.usermanager.tb.ExampleUser;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author xie40
 * create time: 2023-06-29 15:10
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Schema(title = "用户信息（简单）")
public class ExampleUserSimpleInfo extends LongId {

    private String username;

    public static ExampleUserSimpleInfo of(ExampleUser user) {
        ExampleUserSimpleInfo simpleInfo = new ExampleUserSimpleInfo();
        simpleInfo.setId(user.getId());
        simpleInfo.setUsername(user.getUsername());
        return simpleInfo;
    }
}
